Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils.database
Interface DatabaseConnection

All Superinterfaces:
  org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, Describable, Encodable, Identifiable, Localizable, org.apache.avalon.framework.logger.LogEnabled, SdxObject, org.apache.avalon.framework.service.Serviceable, org.apache.excalibur.xml.sax.XMLizable

All Known Implementing Classes:
  SQLDatabaseConnection

public interface DatabaseConnection
extends SdxObject

Created by IntelliJ IDEA. User: rpandey Date: Mar 3, 2003 Time: 2:11:37 PM To change this template use Options | File Templates.

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary
`static java.lang.String` | `CLASS_NAME_SUFFIX`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Method Summary
`void` | `close()` Closes the connectiokbn
`void` | `commit()` Commit all operation done with this active connection.
`java.sql.Connection` | `getConnection()` Returns the SQL connection
`void` | `optimize()` Can do optimization of a Repository if needed
`void` | `rollback()` Undo all operations done with this connection.
`void` | `setAutoCommit(boolean autoCommit)` Sets this connection in autocommit mode or not.

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.avalon.framework.service.Serviceable
`service`

Methods inherited from interface org.apache.avalon.framework.configuration.Configurable
`configure`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId, setId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale, setXmlLang`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Field Detail

### CLASS_NAME_SUFFIX

    public static final java.lang.String CLASS_NAME_SUFFIX

See Also:
  Constant Field Values

Method Detail

### commit

    public void commit()
                throws SDXException

  Commit all operation done with this active connection.

  Throws:
    `SDXException`

### rollback

    public void rollback()
                  throws SDXException

  Undo all operations done with this connection.

  Throws:
    `SDXException`

### setAutoCommit

    public void setAutoCommit(boolean autoCommit)
                       throws SDXException

  Sets this connection in autocommit mode or not.

  Parameters:
    `autoCommit` - true enables auto-commit ; false disables auto-commit.
  Throws:
    `SDXException`

### optimize

    public void optimize()
                  throws SDXException

  Can do optimization of a Repository if needed

  Throws:
    `SDXException`

### getConnection

    public java.sql.Connection getConnection()

  Returns the SQL connection

### close

    public void close()
               throws SDXException

  Closes the connectiokbn

  Throws:
    `SDXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.